> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md).

# medcrypt::guardian

## Espaces de noms

| Nom                                                                                                                                                                 |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [**medcrypt::guardian::AuthenticationAllowDenyEnum**](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md) |
| [**medcrypt::guardian::GuardianStatusEnum**](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-guardianstatusenum.md)                   |
| [**medcrypt::guardian::LogLevelEnum**](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-loglevelenum.md)                               |
| [**medcrypt::guardian::utilities**](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-utilities.md)                                     |

## Classes

|        | Nom                                                                                                                                                                                                                                                                                                                                                                        |
| ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| struct | <p><a href="/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-authenticationdomain.md"><strong>medcrypt::guardian::AuthenticationDomain</strong></a><br>Conteneur de restrictions d’authentification. Restrictions destinées à être utilisées par un agent d’authentification.</p>                                                                   |
| classe | <p><a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-authenticationmanager.md"><strong>medcrypt::guardian::AuthenticationManager</strong></a><br>Conteneur de restrictions d’authentification.</p>                                                                                                                                           |
| classe | <p><a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-channelguard.md"><strong>medcrypt::guardian::ChannelGuard</strong></a><br>Nom du canal au sein d’une <a href="/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md">Session</a>.</p>                                                                        |
| classe | <p><a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md"><strong>medcrypt::guardian::Guardian</strong></a><br>Racine du système Guardian.</p>                                                                                                                                                                                       |
| struct | <p><a href="/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-initializeoptions.md"><strong>medcrypt::guardian::InitializeOptions</strong></a><br>Options utilisées par <a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-initialize">Guardian::Initialize</a>.</p>                               |
| struct | <p><a href="/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-provisioningoptions.md"><strong>medcrypt::guardian::ProvisioningOptions</strong></a><br>Options utilisées par <a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-startprovisioningonline">Guardian::StartProvisioningOnline</a>.</p> |
| classe | <p><a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-secureoperation.md"><strong>medcrypt::guardian::SecureOperation</strong></a><br>Opération autonome nommée.</p>                                                                                                                                                                          |
| classe | <p><a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-service.md"><strong>medcrypt::guardian::Service</strong></a><br>Groupe nommé de configurations de connexion et de canal.</p>                                                                                                                                                            |
| classe | <p><a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-session.md"><strong>medcrypt::guardian::Session</strong></a><br>Connexion individuelle au sein d’un <a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-service.md">Service</a>.</p>                                                                        |
| classe | <p><a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-task.md"><strong>medcrypt::guardian::Task</strong></a><br>Conteneur multithread.</p>                                                                                                                                                                                                    |
| classe | <p><a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-transportinterface.md"><strong>medcrypt::guardian::TransportInterface</strong></a><br><a href="/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-service.md#function-configuretransport">Service::ConfigureTransport</a> interface requise.</p>                    |

## Types

|                   | Nom                         |
| ----------------- | --------------------------- |
| typedef uint32\_t | [**État**](#typedef-status) |

## Documentation des types

### typedef Status

```cpp
typedef uint32_t medcrypt::guardian::Status;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
